@echo off

echo.
echo Ŀ
echo  Create a TSBAT package, both in .arc and .zip formats 
echo  By Prof. Timo Salmi. Last modified Wed 22-Sep-2004    
echo 
echo.

:: Preliminaries
set targdir_=m:
set targname_=TSBAT80

copy f:\inf\tsbat.diz m:\file_id.diz

for %%f in (%targdir_%\%targname_%.???) do del /p %%f

:: Make the ARC version for documentation reasons
echo Assorted batch tricks and tips  |pkpak -ac %targdir_%\%targname_% F:\BAT\1BATFAQ.TXT
echo Assorted MsDos tricks and tips  |pkpak -ac %targdir_%\%targname_% F:\BAT\1DOSTRIK.TXT
echo How to beat the 127 byte limit  |pkpak -ac %targdir_%\%targname_% F:\BAT\1PATH.TXT
echo Tips on prompt usages with ansi |pkpak -ac %targdir_%\%targname_% F:\BAT\1PROMPT.TXT
echo ReadMail setting for FAQ reading|pkpak -ac %targdir_%\%targname_% F:\INF2\1READMAI.TXT
echo Append directories to the path  |pkpak -ac %targdir_%\%targname_% F:\BAT\ADDPATH.BAT
echo Otto Makela's version of addpath|pkpak -ac %targdir_%\%targname_% F:\BAT\APATH-OM.BAT
echo Single .arc to .zip with comment|pkpak -ac %targdir_%\%targname_% F:\BAT\ARC2ZIP.BAT
echo Ask questions in a batch file   |pkpak -ac %targdir_%\%targname_% F:\TOOLS\ASK.EXE
echo Ask, returning environment value|pkpak -ac %targdir_%\%targname_% F:\BAT\ASKENV.EXE
echo Extract file name from full name|pkpak -ac %targdir_%\%targname_% F:\BAT\BASENAME.EXE
echo Extract path name from full name|pkpak -ac %targdir_%\%targname_% F:\BAT\BASEPATH.EXE
echo Extract file extension from name|pkpak -ac %targdir_%\%targname_% F:\BAT\BASEXTEN.EXE
echo Bare list - count of directories|pkpak -ac %targdir_%\%targname_% F:\BAT\BDIR.BAT
echo Poor man's screen saver         |pkpak -ac %targdir_%\%targname_% F:\BAT\BLANK.BAT
echo Poor man's screen saver + popup |pkpak -ac %targdir_%\%targname_% F:\BAT\BLK.BAT
echo Choose your boot configuration  |pkpak -ac %targdir_%\%targname_% F:\BAT\BOOT.BAT
echo Different boots choices for BOOT|pkpak -ac %targdir_%\%targname_% F:\BAT\BOOTW.BAT
echo Lazy changing of directory      |pkpak -ac %targdir_%\%targname_% F:\TOOLS\C.BAT
echo Auxiliary ascii file for pushit |pkpak -ac %targdir_%\%targname_% F:\BAT\CD.AUX
echo Clear the key ahead buffer      |pkpak -ac %targdir_%\%targname_% F:\BAT\CLRBUF.EXE
echo Set screen color attributes     |pkpak -ac %targdir_%\%targname_% F:\BAT\COLORS.BAT
echo Ansi screen color esc. seq. map |pkpak -ac %targdir_%\%targname_% F:\BAT\COLORMAP.BAT
echo Directory with sort + wildsearch|pkpak -ac %targdir_%\%targname_% F:\BAT\D.BAT
echo Run a program only once a day   |pkpak -ac %targdir_%\%targname_% F:\BAT\DAILY.BAT
echo Display all files updated today |pkpak -ac %targdir_%\%targname_% F:\BAT\DATEDIR.BAT
echo Remove directory and its files  |pkpak -ac %targdir_%\%targname_% F:\BAT\DELDIR.BAT
echo Delete a directory from the path|pkpak -ac %targdir_%\%targname_% F:\BAT\DELPATH.BAT
echo Store/restore command history   |pkpak -ac %targdir_%\%targname_% F:\BAT\DOSHIS.BAT
echo echo -n, Echo without a linefeed|pkpak -ac %targdir_%\%targname_% E:\ARCZIP\ECHON.EXE
echo Self-extracting file into a zip |pkpak -ac %targdir_%\%targname_% F:\BAT\EXE2ZIP.BAT
echo Brief characterization of TSBAT |pkpak -ac %targdir_%\%targname_% M:\FILE_ID.DIZ
echo Poor man's function evaluator   |pkpak -ac %targdir_%\%targname_% F:\BAT\FU.BAT
echo Combine Garbo index files info  |pkpak -ac %targdir_%\%targname_% F:\BAT\GFIND.BAT
echo Add and subtract hexadecimals   |pkpak -ac %targdir_%\%targname_% F:\BAT\HEX.BAT
echo Show date + time of previos boot|pkpak -ac %targdir_%\%targname_% F:\BAT\LASTBOOT.BAT
echo Line count for text files       |pkpak -ac %targdir_%\%targname_% F:\BAT\LC.BAT
echo Testbench for program errorlevel|pkpak -ac %targdir_%\%targname_% F:\BAT\LEVEL.BAT
echo How to link batch files together|pkpak -ac %targdir_%\%targname_% F:\BAT\LINK1.BAT
echo Batch link demo's second file   |pkpak -ac %targdir_%\%targname_% F:\BAT\LINK2.BAT
echo Wildcard file find              |pkpak -ac %targdir_%\%targname_% F:\BAT\LOCATE.BAT
echo Log program usage + time and run|pkpak -ac %targdir_%\%targname_% F:\BAT\LOGRUN.BAT
echo An index loop demonstration     |pkpak -ac %targdir_%\%targname_% F:\BAT\LOOP.BAT
echo Give multiple MsDos commands    |pkpak -ac %targdir_%\%targname_% F:\BAT\M.BAT
echo Simple command.com virus warning|pkpak -ac %targdir_%\%targname_% F:\BAT\MAKESURE.BAT
echo Run programs from a menu        |pkpak -ac %targdir_%\%targname_% F:\BAT\MENU.BAT
echo Move file to another directory  |pkpak -ac %targdir_%\%targname_% F:\BAT\MVE.BAT
echo A makefile to build this package|pkpak -ac %targdir_%\%targname_% E:\ARCZIP\M_TSBAT.BAT
echo Restore (pop) saved directory   |pkpak -ac %targdir_%\%targname_% F:\BAT\POPDIRE.BAT
echo Restore the saved path          |pkpak -ac %targdir_%\%targname_% F:\BAT\POPPATH.BAT
echo Display port base I/O addresses |pkpak -ac %targdir_%\%targname_% F:\BAT\PORTS.BAT
echo Non-resident push directory     |pkpak -ac %targdir_%\%targname_% F:\BAT\PUSHDIRE.BAT
echo Alternative pushing of directory|pkpak -ac %targdir_%\%targname_% F:\BAT\PUSHIT.BAT
echo Save the current path           |pkpak -ac %targdir_%\%targname_% F:\BAT\PUSHPATH.BAT
echo Repeat command to several files |pkpak -ac %targdir_%\%targname_% F:\BAT\REPEAT.BAT
echo How to give input within a batch|pkpak -ac %targdir_%\%targname_% F:\BAT\REPLY.BAT
echo Remove zip authenticity labels  |pkpak -ac %targdir_%\%targname_% F:\BAT\REZIP.BAT
echo Show screen columns             |pkpak -ac %targdir_%\%targname_% F:\BAT\RULER.BAT
echo Testing for viruses             |pkpak -ac %targdir_%\%targname_% F:\BAT\RUN.BAT
echo Safe delete of files            |pkpak -ac %targdir_%\%targname_% F:\BAT\SAFEDEL.BAT
echo Display drive's files by name   |pkpak -ac %targdir_%\%targname_% F:\BAT\SAMENAME.BAT
echo Display drive's files by size   |pkpak -ac %targdir_%\%targname_% F:\BAT\SAMESIZE.BAT
echo Scan for viruses (incl. execomp)|pkpak -ac %targdir_%\%targname_% F:\BAT\SCANZ.BAT
echo Copy a file with a single device|pkpak -ac %targdir_%\%targname_% F:\BAT\SCOPY.BAT
echo Secure your command.com         |pkpak -ac %targdir_%\%targname_% F:\BAT\SETCOM.BAT
echo Set an Epson compatible printer |pkpak -ac %targdir_%\%targname_% F:\BAT\SETPRN.BAT
echo Wildcard multifile type command |pkpak -ac %targdir_%\%targname_% F:\BAT\SHOW.BAT
echo Show current date and time      |pkpak -ac %targdir_%\%targname_% F:\BAT\SHOWTIME.BAT
echo Perform commands, skipping files|pkpak -ac %targdir_%\%targname_% F:\BAT\SKIP.BAT
echo Make current dir a subst drive  |pkpak -ac %targdir_%\%targname_% F:\BAT\SUBS.BAT
echo Go recursively thru directories |pkpak -ac %targdir_%\%targname_% F:\BAT\SWEEP.BAT
echo Test for MsDos 3.3 or later demo|pkpak -ac %targdir_%\%targname_% F:\BAT\TEST33.BAT
echo Has ANSI.SYS been loaded?       |pkpak -ac %targdir_%\%targname_% F:\BAT\TESTANSI.BAT
echo Touch a file's datetime stamp   |pkpak -ac %targdir_%\%targname_% F:\BAT\TOUCH.BAT
echo The 1BATFAQ.TXT index separately|pkpak -ac %targdir_%\%targname_% F:\INF\TSBATIDX.TXT
echo Document (a readme)             |pkpak -ac %targdir_%\%targname_% F:\INF\TSBATINF.TXT
echo News concerning this package    |pkpak -ac %targdir_%\%targname_% F:\INF\TSBATNWS.TXT
echo List of programs from Timo Salmi|pkpak -ac %targdir_%\%targname_% F:\INF\TSPROG.TXT
echo Unpack-test-view any archivetype|pkpak -ac %targdir_%\%targname_% F:\BAT\UNPACK.BAT
echo Info: Finland, Vaasa, U of Vaasa|pkpak -ac %targdir_%\%targname_% F:\INF\VAASAINF.TXT
echo Another batch-based virus test  |pkpak -ac %targdir_%\%targname_% F:\BAT\VIRAL.BAT
echo Run program(s) once a week      |pkpak -ac %targdir_%\%targname_% F:\BAT\WEEKLY.BAT
echo Generic searchstring fname find |pkpak -ac %targdir_%\%targname_% F:\BAT\WHERE.BAT
echo Wildcard any command            |pkpak -ac %targdir_%\%targname_% F:\BAT\WILD.BAT
echo Equate .zip date to latest file |pkpak -ac %targdir_%\%targname_% F:\BAT\ZIPDATE.BAT
echo Single .zoo to .zip with comment|pkpak -ac %targdir_%\%targname_% F:\BAT\ZOO2ZIP.BAT
echo Batch file collection, T.Salmi|pkpak -x %targdir_%\%targname_%
pkpak -vc %targdir_%\%targname_%
pause

echo Assorted batch tricks and tips  |pkzip -aco %targdir_%\%targname_% F:\BAT\1BATFAQ.TXT
echo Assorted MsDos tricks and tips  |pkzip -aco %targdir_%\%targname_% F:\BAT\1DOSTRIK.TXT
echo How to beat the 127 byte limit  |pkzip -aco %targdir_%\%targname_% F:\BAT\1PATH.TXT
echo Tips on prompt usages with ansi |pkzip -aco %targdir_%\%targname_% F:\BAT\1PROMPT.TXT
echo ReadMail setting for FAQ reading|pkzip -aco %targdir_%\%targname_% F:\INF2\1READMAI.TXT
echo Append directories to the path  |pkzip -aco %targdir_%\%targname_% F:\BAT\ADDPATH.BAT
echo Otto Makela's version of addpath|pkzip -aco %targdir_%\%targname_% F:\BAT\APATH-OM.BAT
echo Single .arc to .zip with comment|pkzip -aco %targdir_%\%targname_% F:\BAT\ARC2ZIP.BAT
echo Ask questions in a batch file   |pkzip -aco %targdir_%\%targname_% F:\TOOLS\ASK.EXE
echo Ask, returning environment value|pkzip -aco %targdir_%\%targname_% F:\BAT\ASKENV.EXE
echo Extract file name from full name|pkzip -aco %targdir_%\%targname_% F:\BAT\BASENAME.EXE
echo Extract path name from full name|pkzip -aco %targdir_%\%targname_% F:\BAT\BASEPATH.EXE
echo Extract file extension from name|pkzip -aco %targdir_%\%targname_% F:\BAT\BASEXTEN.EXE
echo Bare list - count of directories|pkzip -aco %targdir_%\%targname_% F:\BAT\BDIR.BAT
echo Poor man's screen saver         |pkzip -aco %targdir_%\%targname_% F:\BAT\BLANK.BAT
echo Poor man's screen saver + popup |pkzip -aco %targdir_%\%targname_% F:\BAT\BLK.BAT
echo Choose your boot configuration  |pkzip -aco %targdir_%\%targname_% F:\BAT\BOOT.BAT
echo Different boots choices for BOOT|pkzip -aco %targdir_%\%targname_% F:\BAT\BOOTW.BAT
echo Lazy changing of directory      |pkzip -aco %targdir_%\%targname_% F:\TOOLS\C.BAT
echo Auxiliary ascii file for pushit |pkzip -aco %targdir_%\%targname_% F:\BAT\CD.AUX
echo Clear the key ahead buffer      |pkzip -aco %targdir_%\%targname_% F:\BAT\CLRBUF.EXE
echo Set screen color attributes     |pkzip -aco %targdir_%\%targname_% F:\BAT\COLORS.BAT
echo Ansi screen color esc. seq. map |pkzip -aco %targdir_%\%targname_% F:\BAT\COLORMAP.BAT
echo Directory with sort + wildsearch|pkzip -aco %targdir_%\%targname_% F:\BAT\D.BAT
echo Run a program only once a day   |pkzip -aco %targdir_%\%targname_% F:\BAT\DAILY.BAT
echo Display all files updated today |pkzip -aco %targdir_%\%targname_% F:\BAT\DATEDIR.BAT
echo Remove directory and its files  |pkzip -aco %targdir_%\%targname_% F:\BAT\DELDIR.BAT
echo Delete a directory from the path|pkzip -aco %targdir_%\%targname_% F:\BAT\DELPATH.BAT
echo Store/restore command history   |pkzip -aco %targdir_%\%targname_% F:\BAT\DOSHIS.BAT
echo echo -n, Echo without a linefeed|pkzip -aco %targdir_%\%targname_% E:\ARCZIP\ECHON.EXE
echo Self-extracting file into a zip |pkzip -aco %targdir_%\%targname_% F:\BAT\EXE2ZIP.BAT
echo Brief characterization of TSBAT |pkzip -aco %targdir_%\%targname_% M:\FILE_ID.DIZ
echo Poor man's function evaluator   |pkzip -aco %targdir_%\%targname_% F:\BAT\FU.BAT
echo Combine Garbo index files info  |pkzip -aco %targdir_%\%targname_% F:\BAT\GFIND.BAT
echo Add and subtract hexadecimals   |pkzip -aco %targdir_%\%targname_% F:\BAT\HEX.BAT
echo Show date + time of previos boot|pkzip -aco %targdir_%\%targname_% F:\BAT\LASTBOOT.BAT
echo Line count for text files       |pkzip -aco %targdir_%\%targname_% F:\BAT\LC.BAT
echo Testbench for program errorlevel|pkzip -aco %targdir_%\%targname_% F:\BAT\LEVEL.BAT
echo How to link batch files together|pkzip -aco %targdir_%\%targname_% F:\BAT\LINK1.BAT
echo Batch link demo's second file   |pkzip -aco %targdir_%\%targname_% F:\BAT\LINK2.BAT
echo Wildcard file find              |pkzip -aco %targdir_%\%targname_% F:\BAT\LOCATE.BAT
echo Log program usage + time and run|pkzip -aco %targdir_%\%targname_% F:\BAT\LOGRUN.BAT
echo An index loop demonstration     |pkzip -aco %targdir_%\%targname_% F:\BAT\LOOP.BAT
echo Give multiple MsDos commands    |pkzip -aco %targdir_%\%targname_% F:\BAT\M.BAT
echo Simple command.com virus warning|pkzip -aco %targdir_%\%targname_% F:\BAT\MAKESURE.BAT
echo Run programs from a menu        |pkzip -aco %targdir_%\%targname_% F:\BAT\MENU.BAT
echo Move file to another directory  |pkzip -aco %targdir_%\%targname_% F:\BAT\MVE.BAT
echo A makefile to build this package|pkzip -aco %targdir_%\%targname_% E:\ARCZIP\M_TSBAT.BAT
echo Restore (pop) saved directory   |pkzip -aco %targdir_%\%targname_% F:\BAT\POPDIRE.BAT
echo Restore the saved path          |pkzip -aco %targdir_%\%targname_% F:\BAT\POPPATH.BAT
echo Display port base I/O addresses |pkzip -aco %targdir_%\%targname_% F:\BAT\PORTS.BAT
echo Non-resident push directory     |pkzip -aco %targdir_%\%targname_% F:\BAT\PUSHDIRE.BAT
echo Alternative pushing of directory|pkzip -aco %targdir_%\%targname_% F:\BAT\PUSHIT.BAT
echo Save the current path           |pkzip -aco %targdir_%\%targname_% F:\BAT\PUSHPATH.BAT
echo Repeat command to several files |pkzip -aco %targdir_%\%targname_% F:\BAT\REPEAT.BAT
echo How to give input within a batch|pkzip -aco %targdir_%\%targname_% F:\BAT\REPLY.BAT
echo Remove zip authenticity labels  |pkzip -aco %targdir_%\%targname_% F:\BAT\REZIP.BAT
echo Show screen columns             |pkzip -aco %targdir_%\%targname_% F:\BAT\RULER.BAT
echo Testing for viruses             |pkzip -aco %targdir_%\%targname_% F:\BAT\RUN.BAT
echo Safe delete of files            |pkzip -aco %targdir_%\%targname_% F:\BAT\SAFEDEL.BAT
echo Display drive's files by name   |pkzip -aco %targdir_%\%targname_% F:\BAT\SAMENAME.BAT
echo Display drive's files by size   |pkzip -aco %targdir_%\%targname_% F:\BAT\SAMESIZE.BAT
echo Scan for viruses (incl. execomp)|pkzip -aco %targdir_%\%targname_% F:\BAT\SCANZ.BAT
echo Copy a file with a single device|pkzip -aco %targdir_%\%targname_% F:\BAT\SCOPY.BAT
echo Secure your command.com         |pkzip -aco %targdir_%\%targname_% F:\BAT\SETCOM.BAT
echo Set an Epson compatible printer |pkzip -aco %targdir_%\%targname_% F:\BAT\SETPRN.BAT
echo Wildcard multifile type command |pkzip -aco %targdir_%\%targname_% F:\BAT\SHOW.BAT
echo Show current date and time      |pkzip -aco %targdir_%\%targname_% F:\BAT\SHOWTIME.BAT
echo Perform commands, skipping files|pkzip -aco %targdir_%\%targname_% F:\BAT\SKIP.BAT
echo Make current dir a subst drive  |pkzip -aco %targdir_%\%targname_% F:\BAT\SUBS.BAT
echo Go recursively thru directories |pkzip -aco %targdir_%\%targname_% F:\BAT\SWEEP.BAT
echo Test for MsDos 3.3 or later demo|pkzip -aco %targdir_%\%targname_% F:\BAT\TEST33.BAT
echo Has ANSI.SYS been loaded?       |pkzip -aco %targdir_%\%targname_% F:\BAT\TESTANSI.BAT
echo Touch a file's datetime stamp   |pkzip -aco %targdir_%\%targname_% F:\BAT\TOUCH.BAT
echo The 1BATFAQ.TXT index separately|pkzip -aco %targdir_%\%targname_% F:\INF\TSBATIDX.TXT
echo Document (a readme)             |pkzip -aco %targdir_%\%targname_% F:\INF\TSBATINF.TXT
echo News concerning this package    |pkzip -aco %targdir_%\%targname_% F:\INF\TSBATNWS.TXT
echo List of programs from Timo Salmi|pkzip -aco %targdir_%\%targname_% F:\INF\TSPROG.TXT
echo Unpack-test-view any archivetype|pkzip -aco %targdir_%\%targname_% F:\BAT\UNPACK.BAT
echo Info: Finland, Vaasa, U of Vaasa|pkzip -aco %targdir_%\%targname_% F:\INF\VAASAINF.TXT
echo Another batch-based virus test  |pkzip -aco %targdir_%\%targname_% F:\BAT\VIRAL.BAT
echo Run program(s) once a week      |pkzip -aco %targdir_%\%targname_% F:\BAT\WEEKLY.BAT
echo Generic searchstring fname find |pkzip -aco %targdir_%\%targname_% F:\BAT\WHERE.BAT
echo Wildcard any command            |pkzip -aco %targdir_%\%targname_% F:\BAT\WILD.BAT
echo Equate .zip date to latest file |pkzip -aco %targdir_%\%targname_% F:\BAT\ZIPDATE.BAT
echo Single .zoo to .zip with comment|pkzip -aco %targdir_%\%targname_% F:\BAT\ZOO2ZIP.BAT
echo FTP archives http://garbo.uwasa.fi/ University of Vaasa, Finland|pkzip -zo %targdir_%\%targname_%
pkzip -vc %targdir_%\%targname_%
pause

:: Clean up
for %%f in (m:\file_id.diz) do if exist %%f del %%f
for %%v in (targdir_ targname_) do set %%v=
